/**
 * 获取网址后参数
 * @param {*} url 
 * @returns 
 */
function getParams(url) {
    const pattern = /(\w+)=(\w+)/gi;
    const params = {};
    url.replace(pattern, function(match, key, value) {
        params[key] = value;
    });
    return params;
}

function getQueryParamFromUrl(url, param) {
    console.log('url', url, 'param', param)
    // 创建一个URL对象
    var urlObj = new URL(url);
    // 使用URL对象的searchParams属性获取参数值
    var result = urlObj.searchParams.get(param);
    return result;
}
export {
    getParams,
    getQueryParamFromUrl,
}